%define rel	1

Summary:	The default X11 session manager of LXDE
Name:		lxsession
Version:	0.5.5
Release:	%mkrel 6.git20240628.%{rel}
License:	GPLv2+
Group:		Graphical desktop/Other
Source0:	https://github.com/lxde/%{name}/archive/master.zip
# Patch from https://sourceforge.net/p/lxde/bugs/760/#29fe/6196 to correct reload option behavior
Patch1000:	%{name}-0.5.2-git9f8d6133-reload.patch
Patch1002:	%{name}-0.5.2-notify-daemon-default.patch
Patch18:	lxsession-ayatana.patch
Patch19:	lxsession-0.5.4-load-settings-nullcheck.patch
Patch20:	mga-improve-French-translation.patch
Patch21:	a0d8f8b865ce25867983cd45720adfff33b3fdfb.patch
URL:		https://www.lxde.org/
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(polkit-agent-1)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(ayatana-appindicator3-0.1)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	xsltproc
BuildRequires:	docbook-xsl
BuildRequires:	intltool
BuildRequires:	vala
BuildRequires:	pkgconfig(unique-1.0)
Requires:	desktop-common-data
Requires:	polkit-agent

Provides:	lxde-session-manager = %{version}
Provides:	%{name}-edit = %{version}
Obsoletes:	%{name}-edit < %{version}

%description
LXSession is lightweight session manager, and it's not tied to "any" desktop
environment. It's desktop-independent and can be used with any window manager.
With proper configuration, you can make your own desktop environment with
LXSession. This is very useful to the users and developers of non-mainstream
window managers and desktop environments.

%package -n lxpolkit
Summary:	Simple PolicyKit authentication agent
Group:		Graphical desktop/Other
Provides:	polkit-agent
Conflicts:	%{name} < 0.5.3

%description -n lxpolkit
LXPolKit is a simple PolicyKit authentication agent developed for LXDE, the
Lightweight X11 Desktop Environment.

%prep
%setup -q -n %{name}-master
%autopatch -p1

%build
%global optflags %(echo "%{optflags} -Wno-implicit-function-declaration")

autoreconf -vi
%configure --enable-advanced-notifications --enable-gtk3
%make_build

%install
%make_install

# to fix this bug: https://sourceforge.net/p/lxde/bugs/692
mkdir -p %{buildroot}%{_datadir}/app-install/desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/lxlock
%{_bindir}/%{name}
%{_bindir}/%{name}-logout
%{_bindir}/lxclipboard
%{_bindir}/%{name}-default
%{_bindir}/%{name}-default-apps
%{_bindir}/%{name}-default-terminal
%{_bindir}/%{name}-edit
%{_bindir}/%{name}-db
%{_bindir}/%{name}-xdg-autostart
%{_bindir}/lxsettings-daemon
%{_datadir}/app-install/desktop
%{_datadir}/applications/%{name}-default-apps.desktop
%{_datadir}/applications/%{name}-edit.desktop
%{_datadir}/%{name}/images
%{_datadir}/%{name}/ui/%{name}-default-apps.ui
%{_datadir}/%{name}/ui/%{name}-edit.ui
%{_libexecdir}/%{name}/%{name}-xsettings
%{_mandir}/man1/*

%files -n lxpolkit
%{_bindir}/lxpolkit
%{_sysconfdir}/xdg/autostart/lxpolkit.desktop
%{_datadir}/%{name}/ui/lxpolkit.ui


%changelog
* Mon Jul 01 2024 ns80 <ns80> 0.5.5-6.git20240628.1.mga10
+ Revision: 2078347
- update to latest git snapshot

* Tue Apr 02 2024 ns80 <ns80> 0.5.5-6.git20240322.2.mga10
+ Revision: 2053890
- fix build with GCC14
- add a patch to build with GCC14

* Mon Mar 25 2024 ns80 <ns80> 0.5.5-6.git20240322.1.mga10
+ Revision: 2052023
- update Portuguese translation

* Mon Dec 18 2023 papoteur <papoteur> 0.5.5-6.git20230831.2.mga10
+ Revision: 2018960
- Mass Rebuild - Python 3.12

* Fri Sep 01 2023 ns80 <ns80> 0.5.5-6.git20230831.1.mga10
+ Revision: 1983140
- improve translations

* Wed Aug 30 2023 ns80 <ns80> 0.5.5-6.git20230828.1.mga10
+ Revision: 1981754
- update to latest git snapshot

* Sun Nov 13 2022 wally <wally> 0.5.5-6.git20210419.3.mga9
+ Revision: 1906779
- replace notification-daemon with mate-notification-daemon (mga#31103)

* Fri Apr 01 2022 umeabot <umeabot> 0.5.5-6.git20210419.2.mga9
+ Revision: 1839347
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 ns80 <ns80> 0.5.5-6.git20210419.1.mga9
+ Revision: 1789780
- update to latest git snapshot

* Tue Mar 02 2021 ns80 <ns80> 0.5.5-6.git20210129.2.mga9
+ Revision: 1696502
- build with GTK 3

* Tue Feb 02 2021 ns80 <ns80> 0.5.5-6.git20210129.1.mga8
+ Revision: 1674463
- update to latest git snapshot

* Sat Nov 14 2020 ns80 <ns80> 0.5.5-5.mga8
+ Revision: 1645693
- add Fedora patch to fix a segmentation fault (mga#27585)

* Sun Aug 09 2020 wally <wally> 0.5.5-4.mga8
+ Revision: 1612266
- switch back to gtk2

* Tue Aug 04 2020 wally <wally> 0.5.5-3.mga8
+ Revision: 1610956
- switch to gtk3 and Ayatana AppIndicator
+ danf <danf>
- Switch URLs from http: to https:

* Thu Mar 26 2020 ns80 <ns80> 0.5.5-2.mga8
+ Revision: 1560773
- add an upstream patch to fix a spelling error

* Mon Mar 02 2020 ns80 <ns80> 0.5.5-1.mga8
+ Revision: 1552888
- new version 0.5.5

* Thu Feb 27 2020 ns80 <ns80> 0.5.4-3.git20200215.1.mga8
+ Revision: 1550929
- update to latest git snapshot
- remove merged patch

* Mon Feb 17 2020 umeabot <umeabot> 0.5.4-2.mga8
+ Revision: 1537321
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 0.5.4-1.mga8
+ Revision: 1371290
- new version 0.5.4

* Sun Sep 23 2018 umeabot <umeabot> 0.5.3-3.mga7
+ Revision: 1299417
- Mageia 7 Mass Rebuild

* Mon Jan 09 2017 ns80 <ns80> 0.5.3-2.mga6
+ Revision: 1080764
- correct conflict when migrating from Mga5

* Mon Dec 12 2016 ns80 <ns80> 0.5.3-1.mga6
+ Revision: 1074320
- new version 0.5.3

* Tue Dec 06 2016 ns80 <ns80> 0.5.3-0.20161205.1.mga6
+ Revision: 1072745
- add man pages

* Mon Nov 28 2016 ns80 <ns80> 0.5.3-0.20161127.1.mga6
+ Revision: 1070750
- latest git snapshot

* Mon Nov 07 2016 ns80 <ns80> 0.5.3-0.20161106.1.mga6
+ Revision: 1065574
- latest git snapshot

* Mon Oct 31 2016 ns80 <ns80> 0.5.3-0.20161030.1.mga6
+ Revision: 1064261
- update Russian translation

* Tue Oct 18 2016 tv <tv> 0.5.3-0.20160817.4.mga6
+ Revision: 1061517
- patch 1002: do show notifications on LXDE (rhbz#1250742)
- sync reload patch with FC

* Mon Oct 17 2016 ns80 <ns80> 0.5.3-0.20160817.3.mga6
+ Revision: 1061265
- lxsession requires polkit-agent
- put lxpolkit in its own package (which provides polkit-agent)

* Mon Oct 17 2016 ns80 <ns80> 0.5.3-0.20160817.2.mga6
+ Revision: 1061256
- lxsession does not require polkit-agent because it provides lxpolkit

* Tue Sep 06 2016 ns80 <ns80> 0.5.3-0.20160817.1.mga6
+ Revision: 1050249
- latest git snapshot

* Sat Apr 30 2016 ns80 <ns80> 0.5.3-0.20160417.3.mga6
+ Revision: 1008223
- reenable patch reload (new version)

* Mon Apr 25 2016 ns80 <ns80> 0.5.3-0.20160417.2.mga6
+ Revision: 1006247
- disable patch reload because of bug https://sourceforge.net/p/lxde/bugs/818/ (lxsession left handed mouse causes 100%% CPU usage)

* Mon Apr 18 2016 ns80 <ns80> 0.5.3-0.20160417.1.mga6
+ Revision: 1003385
- latest git snapshot
- delete merged upstream patches
- rediff patch reload

* Thu Feb 25 2016 ns80 <ns80> 0.5.2-7.mga6
+ Revision: 978913
- add patch correct-password-character to have again big dots when entering a password in lxpolkit

* Tue Feb 23 2016 ns80 <ns80> 0.5.2-6.mga6
+ Revision: 977362
- add several upstream patches to fix various problems
- remove patch lxde-only (merged upstream)
- rediff patch disable-lxpolkit-autostart-for-other-environments
- add a patch to prevent a possible crash of lxsession-edit

* Fri Jan 15 2016 ns80 <ns80> 0.5.2-5.mga6
+ Revision: 923252
- Add a patch to correct the behaviour of the reload option of lxsession

* Wed Dec 02 2015 ns80 <ns80> 0.5.2-4.mga6
+ Revision: 907802
- add colon in patch correct-german-translation

* Mon Oct 19 2015 doktor5000 <doktor5000> 0.5.2-3.mga6
+ Revision: 892752
- replace NotShowIn by OnlyShowIn=LXDE for lxpolkit
   o prevents autostart for lxpolkit outside LXDE (mga#16597)

* Tue Jul 07 2015 ns80 <ns80> 0.5.2-2.mga6
+ Revision: 852414
- Update patch disable-lxpolkit-autostart-for-other-environments to actually
  launch lxpolkit when environment is LXDE

* Mon Jul 06 2015 ns80 <ns80> 0.5.2-1.mga6
+ Revision: 851916
- New version 0.5.2
- Adapt patches mga-disable-lxpolkit-autostart-for-other-environments and mga-i18n

* Tue May 19 2015 ns80 <ns80> 0.5.1-6.mga5
+ Revision: 822388
- Add patch correct-german-translation to fix bug mga#15949

* Thu Nov 27 2014 alexl <alexl> 0.5.1-5.mga5
+ Revision: 799597
- show lxsession-default-apps.desktop and lxsession-edit.desktop in LXDE only (mga#14635)

* Fri Nov 07 2014 alexl <alexl> 0.5.1-4.mga5
+ Revision: 796005
- really apply patches

* Thu Nov 06 2014 alexl <alexl> 0.5.1-3.mga5
+ Revision: 795964
- add patch disable-lxpolkit-autostart-for-other-environments

* Mon Oct 27 2014 alexl <alexl> 0.5.1-2.mga5
+ Revision: 793926
- fixed the use of translation for lxpolkit (mga#14372)
- fixed the use of translation for lxsession-default-apps (mga#14383)

* Wed Oct 22 2014 alexl <alexl> 0.5.1-1.mga5
+ Revision: 792524
- del deprecated fix-logind-dbus-calls.patch
- fix upstream bug #692
- update Recommends and Provides
- version 0.5.1 (mga#14237)

* Wed Oct 15 2014 umeabot <umeabot> 0.4.9.2-7.mga5
+ Revision: 741091
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.9.2-6.mga5
+ Revision: 682100
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Dec 15 2013 colin <colin> 0.4.9.2-5.mga4
+ Revision: 557076
- Nuke the lxpolkit binaries which are not run + require polkit-agent mga#11956

* Tue Nov 05 2013 colin <colin> 0.4.9.2-4.mga4
+ Revision: 549605
- Fix non-working poweroff, reboot & suspend buttons mga#11158

* Sat Oct 19 2013 umeabot <umeabot> 0.4.9.2-3.mga4
+ Revision: 528591
- Mageia 4 Mass Rebuild

* Mon Jun 24 2013 tv <tv> 0.4.9.2-2.mga4
+ Revision: 446228
- fix upgrade

* Mon Jun 24 2013 fwang <fwang> 0.4.9.2-1.mga4
+ Revision: 446164
- update file list
- br vala
- new verion 0.4.9.2
+ malo <malo>
- fix description (MrsB)

* Sat Jan 12 2013 umeabot <umeabot> 0.4.6.1-5.mga3
+ Revision: 359199
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 wally <wally> 0.4.6.1-4.mga3
+ Revision: 333955
- add systemd-logind support (mga#8073)
- drop old provides/obsoletes
- clean .spec

* Mon Jan 16 2012 obgr_seneca <obgr_seneca> 0.4.6.1-3.mga2
+ Revision: 196919
- added lxsession-edit as suggest
+ shlomif <shlomif>
- Upgrade to 0.4.6.1
+ tv <tv>
- fix file list
- new release

* Fri Feb 04 2011 ahmad <ahmad> 0.4.5-1.mga1
+ Revision: 46927
- imported package lxsession


* Thu Nov 18 2010 Funda Wang <fwang@mandriva.org> 0.4.5-1mdv2011.0
+ Revision: 598571
- update to new version 0.4.5

* Mon Apr 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.4-1mdv2010.1
+ Revision: 531752
- new upstream release 0.4.4

* Thu Mar 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 525018
- new upstream release 0.4.3

* Mon Mar 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.2-2mdv2010.1
+ Revision: 516567
- New upstream release 0.4.2
- Clean spec

* Tue Jan 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.1-2mdv2010.1
+ Revision: 496500
- Obsolete lxde-settings-daemon as it's been merged in
  lxsession upstream some time ago

* Fri Dec 11 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2010.1
+ Revision: 476259
- new version 0.4.1

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2010.1
+ Revision: 475337
- new version 0.4.0

* Tue May 26 2009 Funda Wang <fwang@mandriva.org> 0.3.8-1mdv2010.0
+ Revision: 379765
- BR intltool
- New version 0.3.8

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.3.2-3mdv2009.0
+ Revision: 268131
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Funda Wang <fwang@mandriva.org> 0.3.2-2mdv2009.0
+ Revision: 217330
- conflicts with lxsession-lite
- provides lxde-session-manager

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 200889
- session files will go lxde-common
- adopt to wmsession
- add source and spec
- Created package structure for lxsession.

